package dotsec.samples;

import java.io.*;
import java.util.*;
import java.security.*;
import java.security.spec.*;
import java.security.cert.*;
import java.security.cert.Certificate;

import dotsec.security.components.*;

import org.bouncycastle.jce.provider.BouncyCastleProvider;

public class DecryptTest
{
  public static void main(String[] args) throws Exception
  {
     Security.insertProviderAt(new BouncyCastleProvider(), 2);
     
     // The encrypted data
     //
     DataCrypt dc = new DataCrypt(new FileInputStream("data/encryptedData.der"));

     // Get the key to be used for decryption
     //
     P12Wrapper p12 = new P12Wrapper("data/johnPublic.p12", "topSecret", "johnPublic");
     X509Certificate userCert = p12.getCertChain()[0];
     PrivateKey userKey = p12.getKey();

     // Decrypt and write it out to file
     //
     InputStream decrypted = dc.unenvelope(userKey, userCert);
     P12Wrapper.writeISToFile(decrypted, "data/decryptedData.txt");
  }
}
