package dotsec.samples;

import java.io.*;
import java.util.*;
import java.security.*;
import java.security.spec.*;
import java.security.cert.*;
import java.security.cert.Certificate;

import dotsec.security.components.*;

import org.bouncycastle.jce.provider.BouncyCastleProvider;

public class VerifyFailure
{
  public static void main(String[] args) throws Exception
  {
     Security.insertProviderAt(new BouncyCastleProvider(), 2);
     
     DataCrypt dc = new DataCrypt(new FileInputStream("data/signedData.der"));

     // This is the data that was signed
     //
     InputStream rawData = dc.unsign();
     P12Wrapper.writeISToFile(rawData, "data/rawData.txt");

     // Verify the signatures;
     //
     P12Wrapper p12 = new P12Wrapper("data/johnPublic.p12", "topSecret", "johnPublic");
     X509Certificate userCert = p12.getCertChain()[0];
     X509Certificate caCert = p12.getCertChain()[1];
     //X509Certificate[] knownSigners = {userCert};

     // Load the trust store with a CA certificate, but not
     // the correct one
     //
     KeyManagerEngine kme = new KeyManagerEngine();
     X509Certificate otherCACert = P12Wrapper.loadCert("data/ca.cer.pem");
     kme.addCertificate(new ByteArrayInputStream(otherCACert.getEncoded()));

     // The 'kme' trust store doesn't contain the correct CA cert
     // so this should throw an exception
     //
     //dc.verify(kme, knownSigners, new Vector());
     List signers = new ArrayList();
     dc.verify(kme, signers);
     System.out.println(signers);
  }
}
