package dotsec.samples;

import java.io.*;
import java.util.*;
import java.security.*;
import java.security.spec.*;
import java.security.cert.*;
import java.security.cert.Certificate;

import dotsec.security.components.*;

import org.bouncycastle.jce.provider.BouncyCastleProvider;

public class VerifyTest
{
  public static void main(String[] args) throws Exception
  {
     Security.insertProviderAt(new BouncyCastleProvider(), 2);
     
     // The signed data which must be verified
     // 
     DataCrypt dc = new DataCrypt(new FileInputStream("data/signedData.der"));

     // This is the 'raw' data that was signed
     // 
     InputStream rawData = dc.unsign();
     //P12Wrapper.writeISToFile(rawData, "data/rawData.txt");

     // Verify the signatures - we should get the certificates of the signers
     //
     P12Wrapper p12 = new P12Wrapper("data/johnPublic.p12", "topSecret", "johnPublic");
     X509Certificate userCert = p12.getCertChain()[0];
     X509Certificate caCert = p12.getCertChain()[1];
     //X509Certificate[] knownSigners = {userCert};

     // The 'trusted' CA certificates are stored in a KeyManagerEngine
     //
     KeyManagerEngine kme = new KeyManagerEngine();
     kme.addCertificate(new ByteArrayInputStream(caCert.getEncoded()));

     // Verify should return silently on success
     //
     //
     //dc.verify(kme, knownSig;ners, new Vector());
     List signers = new ArrayList();
     dc.verify(kme, signers);
     System.out.println(signers);
  }
}
