<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
		xmlns:apraext="http://www.apra.gov.au/statistics/xbrlExtensions-04-01-2002" 
		xmlns:xbrli="http://www.xbrl.org/2001/instance" 
		version="1.0">

	<xsl:output omit-xml-declaration="yes" indent="yes" cdata-section-elements="validation derivation"/>
	<!-- Module: STEP1.XSL
		  Copyright (c) 2001, KPMG LLP.
		  Mail: yufeiwang1@kpmg.com, dvunkannon@kpmg.com
	-->
	<!-- This stylesheet combine the XBRL instance V2 document with the desired form defined in parameter form.   -->
	<xsl:param name="form">blank_apra_return.xml</xsl:param>
	<!-- ______Starting template_______-->
	<xsl:template match="/">
		<combine>
			<xsl:apply-templates select="document($form)/*"/>
			<xsl:apply-templates select="*"/>
		</combine>
	</xsl:template>
	<!-- ______*|@*|comment()|processing-instruction()"_____-->
	<xsl:template match="*|@*|text()|comment()|processing-instruction()">
		<xsl:copy>
			<xsl:apply-templates select="*|@*|text()|comment()|processing-instruction()">
			</xsl:apply-templates>
		</xsl:copy>
	</xsl:template>
	<!--_______@numericContext______-->
	<xsl:template match="@numericContext">
		<xsl:attribute name="{name(.)}"><xsl:value-of select="."/></xsl:attribute>
		<xsl:variable name="id" select="."/>
		<xsl:variable name="formCode"><xsl:value-of select="//xbrli:numericContext[@id=$id]//apraext:form/@code"/></xsl:variable>
		<xsl:variable name="reportingConsolidation"><xsl:for-each select="//xbrli:numericContext[@id=$id]//apraext:reportingConsolidation/text()"><xsl:value-of select="."/></xsl:for-each></xsl:variable>
		<xsl:attribute name="formCode"><xsl:value-of select="$formCode"/></xsl:attribute>
		<xsl:attribute name="reportingConsolidation"><xsl:value-of select="$reportingConsolidation"/></xsl:attribute>
	</xsl:template>
	<!--_______@nonNumericContext______-->
	<xsl:template match="@nonNumericContext">
		<xsl:attribute name="{name(.)}"><xsl:value-of select="."/></xsl:attribute>
		<xsl:variable name="id" select="."/>
		<xsl:variable name="formCode"><xsl:value-of select="//xbrli:nonNumericContext[@id=$id]//apraext:form/@code"/></xsl:variable>
		<xsl:variable name="reportingConsolidation"><xsl:for-each select="//xbrli:nonNumericContext[@id=$id]//apraext:reportingConsolidation/text()"><xsl:value-of select="."/></xsl:for-each></xsl:variable>
		<xsl:attribute name="formCode"><xsl:value-of select="$formCode"/></xsl:attribute>
		<xsl:attribute name="reportingConsolidation"><xsl:value-of select="$reportingConsolidation"/></xsl:attribute>
	</xsl:template>
</xsl:stylesheet>
