<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output omit-xml-declaration="yes" indent="yes" cdata-section-elements="validation derivation"/>
	<!-- Module: STEP2.XSL
		  Copyright (c) 2001, KPMG LLP.
		  Mail: yufeiwang1@kpmg.com, dvunkannon@kpmg.com
                  
		  Version 1.1: 2002-01-17 bhaigh@kpmg.co.nz - fix import into tables
	-->
	<!-- This stylesheet compares the item/@type value with the instance v2 item name and fills in the form with the correct value.  -->
	<!-- ______Starting template_______-->
	<xsl:template match="/">
		<xsl:apply-templates/>
	</xsl:template>
	<!-- ______combine_______-->
	<xsl:template match="combine">
		<xsl:apply-templates select="return"/>
	</xsl:template>
	<!-- ______*|@*|comment()|processing-instruction()"_____-->
	<xsl:template match="*|@*|text()|comment()|processing-instruction()">
		<xsl:copy>
			<xsl:apply-templates select="*|@*|text()|comment()|processing-instruction()">
			</xsl:apply-templates>
		</xsl:copy>
	</xsl:template>
	<!-- ______item_______-->
	<xsl:template match="item">
		<xsl:variable name="this"><xsl:value-of select="@type"/></xsl:variable>
		<xsl:variable name="formCode"><xsl:value-of select="ancestor-or-self::form[1]/@code"/></xsl:variable>
		<xsl:variable name="reportingConsolidation"><xsl:value-of select="ancestor-or-self::form[1]/group/@reportingConsolidation"/></xsl:variable>
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<!-- __find the item with the same type formCode and reportingConsolidation __-->
			<xsl:value-of select="//*[name(.)=$this and @formCode=$formCode and @reportingConsolidation=$reportingConsolidation]/text()"/>
			<xsl:apply-templates select="*"/>
		</xsl:copy>
	</xsl:template>
	<!-- ______group[group/@seq]_______-->
	<xsl:template match="group[group/@seq]">
		<xsl:variable name="this"><xsl:value-of select="@code"/></xsl:variable>
		<xsl:variable name="formCode"><xsl:value-of select="ancestor-or-self::form[1]/@code"/></xsl:variable>
		<xsl:variable name="reportingConsolidation"><xsl:value-of select="ancestor-or-self::form[1]/group/@reportingConsolidation"/></xsl:variable>
		<xsl:copy>
			<xsl:apply-templates select="@*"/>
			<xsl:for-each select="//*[local-name(.)=$this and child::*[position()=1]/@formCode=$formCode and child::*[position()=1]/@reportingConsolidation=$reportingConsolidation]">
				<group seq="{position()}">
					<xsl:apply-templates select="*" mode="xbrl">
						<xsl:with-param name="parent" select="$this"/>
						<xsl:with-param name="formCode" select="$formCode"/>
						<xsl:with-param name="reportingConsolidation" select="$reportingConsolidation"/>
					</xsl:apply-templates>
				</group>
			</xsl:for-each>
		</xsl:copy>
	</xsl:template>
	<!-- ______match="*" mode="xbrl"_______-->
	<xsl:template match="*" mode="xbrl">
		<xsl:param name="parent"/>
		<xsl:param name="formCode"/>
		<xsl:param name="reportingConsolidation"/>
		<xsl:variable name="this"><xsl:value-of select="name(.)"/></xsl:variable>
		<xsl:variable name="value"><xsl:value-of select="text()"/></xsl:variable>
		<xsl:variable name="nodeFormCode"><xsl:value-of select="@formCode"/></xsl:variable>
		<xsl:variable name="nodeReportingConsolidation"><xsl:value-of select="@reportingConsolidation"/></xsl:variable>
		<xsl:for-each select="//item[@type=$this and ../../@code=$parent and $formCode=$nodeFormCode and $reportingConsolidation=$nodeReportingConsolidation and ../../../../@code=$formCode and ../../../@reportingConsolidation=$reportingConsolidation]"> 
			<xsl:copy>
				<xsl:apply-templates select="@*"/>
				<xsl:value-of select="$value"/>
				<xsl:apply-templates select="*"/>
			</xsl:copy>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>
